    import Logger from 'f.lux/src/listeners/Logger.js'

public class | source

# Logger

## Constructor Summary

Public Constructor
public | constructor(store: *, name: string) |

## Member Summary

Public Members
public | activeFrame: * |
public | currFrame: * |
public | filter: * |
public | frames: *[] |
public get | index: * |
public | maxFrames: number |
public | name: * |
public | nextFrameId: number |
public get | size: * |
public | store: * |
public | traps: * |

## Method Summary

Public Methods
public | back() |
public | clear() |
public | clearTrap(name: *) |
public | forward() |
public | goto(idx: *): * |
public | onError(store: *, msg: *, error: *) |
public | onPostStateUpdate(store: *, action: *, impl: *) |
public | onPostUpdate(store: *, time: *, currState: *, prevState: *) |
public | print(printState: boolean) |
public | setActionFilter(filter: *) |
public | setMaxFrames(maxFrames: *) |
public | setTrap(condition: *, value: *, name: *): * |
public | tail(count: number, printState: boolean) |
public | truncateFrames() |

## Public Constructors

### public constructor(store: *, name: string) source

#### Params:

Name | Type | Attribute | Description
store | * |  |
name | string | optional default: flog |

## Public Members

### public activeFrame: * source

### public currFrame: * source

### public filter: * source

### public frames: *[] source

### public get index: * source

### public maxFrames: number source

### public name: * source

### public nextFrameId: number source

### public get size: * source

### public store: * source

### public traps: * source

## Public Methods

### public back() source

### public clear() source

### public clearTrap(name: *) source

#### Params:

Name | Type | Attribute | Description
name | * |  |

### public forward() source

### public goto(idx: *): * source

#### Params:

Name | Type | Attribute | Description
idx | * |  |

#### Return:

*

### public onError(store: *, msg: *, error: *) source

#### Params:

Name | Type | Attribute | Description
store | * |  |
msg | * |  |
error | * |  |

#### Decorators:

- autobind

### public onPostStateUpdate(store: *, action: *, impl: *) source

#### Params:

Name | Type | Attribute | Description
store | * |  |
action | * |  |
impl | * |  |

#### Decorators:

- autobind

### public onPostUpdate(store: *, time: *, currState: *, prevState: *) source

#### Params:

Name | Type | Attribute | Description
store | * |  |
time | * |  |
currState | * |  |
prevState | * |  |

#### Decorators:

- autobind

### public print(printState: boolean) source

#### Params:

Name | Type | Attribute | Description
printState | boolean | optional default: true |

### public setActionFilter(filter: *) source

#### Params:

Name | Type | Attribute | Description
filter | * |  |

### public setMaxFrames(maxFrames: *) source

#### Params:

Name | Type | Attribute | Description
maxFrames | * |  |

### public setTrap(condition: *, value: *, name: *): * source

#### Params:

Name | Type | Attribute | Description
condition | * |  |
value | * |  |
name | * | optional |

#### Return:

*

### public tail(count: number, printState: boolean) source

#### Params:

Name | Type | Attribute | Description
count | number | optional default: 10 |
printState | boolean | optional default: true |

### public truncateFrames() source